<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_oauth2', language 'es', branch 'MOODLE_36_STABLE'
 *
 * @package   auth_oauth2
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accountalreadylinked'] = 'Esta cuenta de OAuth 2 ya está vinculada a otra cuenta de Totara.';
$string['accountexists'] = 'Ya existe un usuario en este sitio con este nombre de usuario. Si esta es su cuenta, inicie sesión ingresando su nombre de usuario y contraseña y agréguelo como un inicio de sesión vinculado a través de su página de preferencias.';
$string['accountwithemailexists'] = 'Ya existe un usuario en este sitio con este correo electrónico. Si esta es su cuenta, inicie sesión ingresando su nombre de usuario y contraseña y agréguelo como un inicio de sesión vinculado a través de su página de preferencias.';
$string['allowaccountcreation'] = 'Permitir la creación de nuevas cuentas';
$string['allowaccountcreation_desc'] = 'Habilítelo si desea que este complemento cree nuevas cuentas de OAuth 2 cuando los usuarios inicien sesión a través del servicio OAuth por primera vez.';
$string['allowautolinkingexisting'] = 'Permitir la vinculación automática de cuentas existentes';
$string['allowautolinkingexisting_desc'] = 'Habilite si desea permitir la vinculación automática de cuentas OAuth 2 externas con cuentas de usuario locales existentes de Totara a través de direcciones de correo electrónico durante el proceso de inicio de sesión. Para evitar que las cuentas se vean comprometidas, se recomienda encarecidamente habilitar la confirmación de propiedad del correo electrónico en la configuración del emisor.';
$string['alreadylinked'] = 'Esta cuenta externa ya está vinculada a una cuenta en este sitio.';
$string['auth_oauth2description'] = 'Autenticación basada en estándares OAuth 2';
$string['auth_oauth2settings'] = 'Configuración de autenticación OAuth 2.';
$string['confirmaccountemail'] = 'Hola, {$a->fullname}:

Se ha solicitado una nueva cuenta en \'{$a->sitename}\' utilizando su dirección de correo electrónico.

Para confirmar su nueva cuenta, vaya a esta dirección web:

{$a->link}

En la mayoría de los programas de correo, esto debería aparecer como un enlace azul en el que puede hacer clic.

Si eso no funciona, copie y pegue la dirección en la línea de dirección en la parte superior de la ventana de su navegador web.

Si necesita ayuda, comuníquese con el administrador del sitio,
{$a->admin}';
$string['confirmaccountemailsubject'] = '{$a}: confirmación de cuenta';
$string['confirmationinvalid'] = 'El enlace de confirmación no es válido o ha caducado. Vuelva a iniciar el proceso de inicio de sesión para generar un nuevo correo electrónico de confirmación.';
$string['confirmationpending'] = 'Esta cuenta está pendiente de confirmación por correo electrónico.';
$string['confirmdeletelinkedlogin'] = '¿Desea eliminar {$a->issuername} inicio de sesión vinculado para el usuario {$a->fullname}?';
$string['confirmlinkedloginemail'] = 'Hola {$a->fullname}

Se ha realizado una solicitud para vincular el {$a->issuername} login {$a->linkedemail} a su cuenta en \'{$a->sitename}\' utilizando su dirección de correo electrónico.

Para confirmar esta solicitud y vincular estos inicios de sesión, vaya a esta dirección web: {$a->link} En la mayoría de los programas de correo, esto debería aparecer como un enlace azul en el que puede hacer clic. Si eso no funciona, corte y pegue la dirección en la línea de dirección en la parte superior de la ventana de su navegador web.

Si necesita ayuda, comuníquese con el administrador del sitio, {$a->admin}';
$string['confirmlinkedloginemailsubject'] = '{$a}: confirmación de inicio de sesión vinculada';
$string['createaccountswarning'] = 'Este complemento de autenticación permite a los usuarios crear cuentas en su sitio. Es posible que desee habilitar la configuración "authpreventaccountcreation" si usa este complemento.';
$string['createnewlinkedlogin'] = 'Vincular una cuenta nueva ({$a})';
$string['deletelinkedlogin'] = 'Eliminar inicio de sesión vinculado';
$string['emailconfirmlink'] = 'Vincula tus cuentas';
$string['emailconfirmlinksent'] = '<p>Se encontró una cuenta existente con esta dirección de correo electrónico, pero aún no está vinculada.</p>
<p> Las cuentas deben estar vinculadas antes de que pueda iniciar sesión.</p>
<p> Se debería haber enviado un correo electrónico a su dirección en <b>{$a}</b> .</p>
<p> Contiene instrucciones sencillas para vincular sus cuentas.</p>
<p> Si tiene alguna dificultad, comuníquese con el administrador del sitio.</p>';
$string['emailpasswordchangeinfo'] = 'Hola, {$a->firstname}

Alguien (probablemente usted) ha solicitado una nueva contraseña para su cuenta en \'{$a->sitename}\'.

Sin embargo, su contraseña no se puede restablecer porque está utilizando su cuenta en otro sitio para iniciar sesión.

Inicie sesión como antes, utilizando el enlace en la página de inicio de sesión.

{$a->admin}';
$string['emailpasswordchangeinfosubject'] = '{$a}: Cambiar la información de la contraseña';
$string['info'] = 'Cuenta externa';
$string['issuer'] = 'Servicio OAuth 2';
$string['issueremail'] = 'Correo electrónico del emisor externo';
$string['issuernologin'] = 'Este emisor no se puede utilizar para iniciar sesión';
$string['issuerusername'] = 'Nombre de usuario del emisor externo';
$string['linkedlogins'] = 'Inicios de sesión vinculados';
$string['linkedloginshelp'] = 'Ayuda con los inicios de sesión vinculados';
$string['loginerror_authenticationfailed'] = 'El proceso de autenticación falló.';
$string['loginerror_cannotcreateaccounts'] = 'No se pudo encontrar una cuenta con su dirección de correo electrónico.';
$string['loginerror_invaliddomain'] = 'La dirección de correo electrónico no está permitida en este sitio.';
$string['loginerror_nolinking'] = 'Las cuentas de OAuth 2 no se pueden vincular a cuentas locales.';
$string['loginerror_nouserinfo'] = 'No se devolvió información de usuario. Es posible que el servicio OAuth 2 esté configurado incorrectamente.';
$string['loginerror_userincomplete'] = 'La información de usuario devuelta no contenía un nombre de usuario ni una dirección de correo electrónico. Es posible que el servicio OAuth 2 esté configurado incorrectamente.';
$string['noissuersavailable'] = 'Ninguno de los servicios de OAuth2 configurados le permite vincular cuentas de inicio de sesión';
$string['notenabled'] = 'Lo sentimos, el complemento de autenticación OAuth 2 no está habilitado';
$string['notloggedindebug'] = 'El intento de inicio de sesión falló. Razón: {$a}';
$string['notwhileloggedinas'] = 'Los inicios de sesión vinculados no se pueden administrar mientras está conectado como otro usuario.';
$string['oauth2:deletelinkedlogins'] = 'Eliminar enlaces de inicio de sesión de OAuth 2';
$string['oauth2:managelinkedlogins'] = 'Administrar sus propias cuentas de inicio de sesión vinculadas';
$string['plugindescription'] = 'Este plugin de autenticación muestra una lista de los proveedores de identidad configurados en la página de inicio de sesión. La selección de un proveedor de identidad permite a los usuarios iniciar sesión con sus credenciales de un proveedor OAuth 2.';
$string['pluginname'] = 'OAuth 2';
$string['userdataitem-issuer-email'] = 'Correos electrónicos del emisor de OAuth 2';
$string['userdataitem-issuer-username'] = 'Nombres de usuario de emisores de OAuth 2';
