<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_oauth2', language 'es', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_oauth2
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['authconfirm'] = 'Esta acción otorgará acceso API permanente a Totara para la cuenta autenticada. Esto está destinado a ser utilizado como una cuenta del sistema para administrar archivos propiedad de Totara.';
$string['authconnected'] = 'La cuenta del sistema ahora está conectada para acceso sin conexión';
$string['authnotconnected'] = 'La cuenta del sistema no estaba conectada para el acceso sin conexión';
$string['configured'] = 'Configurado';
$string['configuredstatus'] = 'Configurado';
$string['connectsystemaccount'] = 'Conectarse a una cuenta del sistema';
$string['createfromtemplate'] = 'Cree un servicio OAuth 2 a partir de una plantilla';
$string['createfromtemplatedesc'] = 'Elija una de las plantillas de servicio OAuth 2 a continuación para crear un servicio OAuth con una configuración válida para uno de los tipos de servicio conocidos. Esto creará el servicio OAuth 2, con todos los puntos finales correctos y los parámetros requeridos para la autenticación, aunque aún deberá ingresar la ID y el secreto del cliente para el nuevo servicio antes de que pueda usarse.';
$string['createnewendpoint'] = 'Crear un nuevo punto de conexión para el emisor "{$a}"';
$string['createnewfacebookissuer'] = 'Crear nuevo servicio de Facebook';
$string['createnewgoogleissuer'] = 'Crear un nuevo servicio de Google';
$string['createnewissuer'] = 'Crear un nuevo servicio personalizado';
$string['createnewmicrosoftissuer'] = 'Crear un nuevo servicio de Microsoft';
$string['createnewnextcloudissuer'] = 'Crear nuevo servicio Nextcloud';
$string['createnewuserfieldmapping'] = 'Crear una nueva asignación de campo de usuario para el emisor "{$a}"';
$string['deleteconfirm'] = '¿Está seguro de que desea eliminar el emisor de identidad "{$a}"? Cualquier complemento que dependa de este emisor dejará de funcionar.';
$string['deleteendpointconfirm'] = '¿Está seguro de que desea eliminar el punto final "{$a->endpoint}" para el emisor "{$a->issuer}"? Cualquier complemento que dependa de este punto final dejará de funcionar.';
$string['deleteuserfieldmappingconfirm'] = '¿Está seguro de que desea eliminar la asignación de campos de usuario para el emisor "{$a}"?';
$string['discovered'] = 'Descubrimiento de servicio exitoso';
$string['discovered_help'] = 'El descubrimiento significa que los puntos finales de OAuth 2 podrían determinarse automáticamente a partir de la URL base para el servicio OAuth. No se requiere que todos los servicios sean "descubiertos", pero si no lo son, entonces los puntos finales y la información de mapeo del usuario deberán ingresarse manualmente.';
$string['discoverystatus'] = 'Descubrimiento';
$string['editendpoint'] = 'Editar el punto final: {$a->endpoint} para el emisor {$a->issuer}';
$string['editendpoints'] = 'Configurar puntos finales';
$string['editissuer'] = 'Editar emisor de identidad: {$a}';
$string['edituserfieldmapping'] = 'Editar la asignación de campos de usuario para el emisor {$a}';
$string['edituserfieldmappings'] = 'Configurar asignaciones de campos de usuario';
$string['endpointdeleted'] = 'Endpoint eliminado';
$string['endpointname'] = 'Nombre';
$string['endpointname_help'] = 'Clave utilizada para buscar este punto final. Debe terminar con "_endpoint".';
$string['endpointsforissuer'] = 'Puntos finales para el emisor: {$a}';
$string['endpointurl'] = 'URL';
$string['endpointurl_help'] = 'URL para este punto final. Debe usar el protocolo https://. Su proveedor de OAuth proporciona las URL de los puntos finales y no deben apuntar a la instalación de Totara.';
$string['issueralloweddomains'] = 'Dominios de inicio de sesión';
$string['issueralloweddomains_help'] = 'Si se establece, esta configuración es una lista separada por comas de los dominios a los que se restringirán los inicios de sesión cuando se utilice este proveedor.';
$string['issuerbaseurl'] = 'URL base del servicio';
$string['issuerbaseurl_help'] = 'URL base utilizada para acceder al servicio.';
$string['issuerclientid'] = 'ID del cliente';
$string['issuerclientid_help'] = 'El ID de cliente de OAuth para este emisor.';
$string['issuerclientsecret'] = 'Secreto del cliente';
$string['issuerclientsecret_help'] = 'El secreto de cliente de OAuth para este emisor.';
$string['issuerdeleted'] = 'Emisor de identidad eliminado';
$string['issuerdisabled'] = 'Emisor de identidad inhabilitado';
$string['issuerenabled'] = 'Emisor de identidad habilitado';
$string['issuerimage'] = 'URL del logotipo';
$string['issuerimage_help'] = 'Una URL de imagen utilizada para mostrar un logotipo de este emisor. Puede mostrarse en la página de inicio de sesión.';
$string['issuerloginparams'] = 'Parámetros adicionales incluidos en una solicitud de inicio de sesión.';
$string['issuerloginparams_help'] = 'Algunos sistemas requieren parámetros adicionales para una solicitud de inicio de sesión con el fin de leer el perfil básico del usuario.';
$string['issuerloginparamsoffline'] = 'Parámetros adicionales incluidos en una solicitud de inicio de sesión para acceso sin conexión.';
$string['issuerloginparamsoffline_help'] = 'Cada sistema OAuth define una forma diferente de solicitar acceso sin conexión. Por ejemplo, Google requiere los parámetros adicionales: "access_type=offline&prompt=consent". Estos parámetros deben estar en formato de parámetro de consulta de URL.';
$string['issuerloginscopes'] = 'Campos incluidos en una solicitud de inicio de sesión.';
$string['issuerloginscopes_help'] = 'Algunos sistemas requieren alcances adicionales para una solicitud de inicio de sesión con el fin de leer el perfil básico del usuario. Los ámbitos estándar para un sistema compatible con OpenID Connect son "correo electrónico de perfil de OpenID".';
$string['issuerloginscopesoffline'] = 'Campos incluidos en una solicitud de inicio de sesión para acceso sin conexión.';
$string['issuerloginscopesoffline_help'] = 'Cada sistema OAuth define una forma diferente de solicitar acceso sin conexión. Por ejemplo, Microsoft requiere un alcance adicional "offline_access".';
$string['issuername'] = 'Nombre';
$string['issuername_help'] = 'Nombre del emisor de la identidad. Puede mostrarse en la página de inicio de sesión.';
$string['issuername_microsoft'] = 'Nombre';
$string['issuername_microsoft_help'] = 'Nombre del emisor de la identidad. Esto se mostrará en la página de inicio de sesión a menos que la marca predeterminada de Microsoft esté habilitada.';
$string['issuerrequireconfirmation'] = 'Requerir verificación por correo electrónico';
$string['issuerrequireconfirmation_help'] = 'Solicite que todos los usuarios verifiquen su dirección de correo electrónico antes de poder iniciar sesión con OAuth. Esto se aplica a las cuentas recién creadas como parte del proceso de inicio de sesión, o cuando una cuenta de Totara existente se conecta a un inicio de sesión de OAuth a través de direcciones de correo electrónico coincidentes.';
$string['issuers'] = 'Emisores';
$string['issuersetup'] = 'Instrucciones detalladas sobre la configuración de los servicios comunes de OAuth 2';
$string['issuersetuptype'] = 'Instrucciones detalladas sobre cómo configurar el proveedor {$a} OAuth 2';
$string['issuershowonloginpage'] = 'Mostrar en la página de inicio de sesión';
$string['issuershowonloginpage_help'] = 'Si el complemento de autenticación OAuth 2 está habilitado, este emisor de inicio de sesión aparecerá en la página de inicio de sesión para permitir que los usuarios inicien sesión con cuentas de este emisor.';
$string['loginissuer'] = 'Permitir inicio de sesión';
$string['notconfigured'] = 'No configurado';
$string['notdiscovered'] = 'El descubrimiento del servicio no se realizó correctamente';
$string['notloginissuer'] = 'No permitir inicio de sesión';
$string['pluginname'] = 'Servicios OAuth 2';
$string['savechanges'] = 'Guardar cambios';
$string['serviceshelp'] = 'Instrucciones de configuración del proveedor de servicios.';
$string['show_default_branding_microsoft'] = 'Show default Microsoft branding';
$string['show_default_branding_microsoft_help'] = 'La marca predeterminada de Microsoft está de acuerdo con las pautas de diseño de Microsoft. Se recomienda que esta configuración esté habilitada.';
$string['systemaccountconnected'] = 'Cuenta del sistema conectada';
$string['systemaccountconnected_help'] = 'Las cuentas del sistema se utilizan para proporcionar funciones avanzadas para complementos. No son necesarios solo para la funcionalidad de inicio de sesión, pero otros complementos que utilizan el servicio OAuth pueden ofrecer un conjunto reducido de funciones si la cuenta del sistema no se ha conectado. Por ejemplo, los repositorios no pueden admitir "enlaces controlados" sin una cuenta del sistema para realizar operaciones de archivos.';
$string['systemaccountnotconnected'] = 'Cuenta del sistema no conectada';
$string['systemauthstatus'] = 'Cuenta del sistema conectada';
$string['usebasicauth'] = 'Autenticar solicitudes de token a través de encabezados HTTP';
$string['usebasicauth_help'] = 'Utilice el esquema de autenticación básico HTTP al enviar el ID y la contraseña del cliente con una solicitud de token de actualización. Recomendado por el estándar OAuth 2, pero puede no estar disponible con algunos emisores.';
$string['userfieldexternalfield'] = 'Nombre de campo externo';
$string['userfieldexternalfield_error'] = 'Este campo no puede contener HTML.';
$string['userfieldexternalfield_help'] = 'Nombre del campo proporcionado por el sistema OAuth externo.';
$string['userfieldinternalfield'] = 'Nombre de campo interno';
$string['userfieldinternalfield_help'] = 'Nombre del campo de usuario de Totara que debe mapearse desde el campo externo.';
$string['userfieldmappingdeleted'] = 'Se eliminó la asignación de campos de usuario';
$string['userfieldmappingsforissuer'] = 'Asignaciones de campos de usuario para el emisor: {$a}';
